ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jing Xue <jing...@digizenstudio.com>
Subject Re: Central version numbering.
Date Sun, 23 Sep 2007 03:03:08 GMT
On Sat, Sep 22, 2007 at 07:43:36AM +0200, Xavier Hanin wrote:
> 
> Indeed we maintain 1.4 compatibility, and using environment variables is not
> easy with this jre. But maybe in IvyDE we could increase the compatibility
> level and raise it to 1.5, or at least for this feature only. Or we could
> introduce this feature in Ivy if we are able to detect the jre version and
> just disable this feature if 1.4 is used.
> 
> WDYT?

Sounds good. So I just submitted the patch to import environment
variables in 1.5+. It throws an exception if it can't reflectively find a
System.getEnv() method.

https://issues.apache.org/jira/browse/IVY-608

Cheers.
-- 
Jing Xue

Mime
View raw message